/*
 * Copyright 2022 BytePlus Pte. Ltd.
 * SPDX-License-Identifier: MIT
 */

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class ByteRTCVideo;
@interface ByteRTCVideoManager : NSObject

/**
 * @type api
 * @region Engine Management
 * @brief Gets the engine instance.
 * @notes Internal management of the lifecycle, do not manually call destroyRTCVideo.
 */
+ (nullable ByteRTCVideo *)getVideo;

/**
 * @type api
 * @region Screen Sharing
 * @brief Set Extension configuration. It should be set before capturing screen internally.
 * @param groupId Your app and Extension should belong to the same App Group. You need to put in their Group ID here.
 * @param bundleId The bundle ID of the Extension, which is used to only display your Extension in your app.
 * @notes You must call this API immediately before calling createRTCVideo. You only need to call this API once in the life cycle of the engine instance.
 */
+ (void)setExtensionConfig:(NSString * _Nullable)groupId bundleId:(NSString * _Nullable)bundleId;

@end

NS_ASSUME_NONNULL_END
