/*
 * Copyright 2022 BytePlus Pte. Ltd.
 * SPDX-License-Identifier: MIT
 */

#import <BytePlusRTC/objc/rtc/ByteRTCVideoDefines.h>
#import "ByteRTCFlutterLiveTranscodingObserver.h"

@implementation ByteRTCFlutterLiveTranscodingObserver

#pragma mark - LiveTranscodingDelegate

- (BOOL)isSupportClientPushStream {
    return NO;
}

- (void)onStreamMixingEvent:(ByteRTCStreamMixingEvent)event
                     taskId:(NSString *)taskId
                      error:(ByteRtcTranscoderErrorCode)Code
                    mixType:(ByteRTCStreamMixingType)mixType {
    NSMutableDictionary *dict = [NSMutableDictionary dictionary];
    dict[@"eventType"] = @(event);
    dict[@"taskId"] = taskId;
    dict[@"error"] = @(Code);
    dict[@"mixType"] = @(mixType);
    [self emitEvent:dict methodName:@"onStreamMixingEvent"];
}

@end
