// Copyright 2022 BytePlus Pte. Ltd.
// SPDX-License-Identifier: MIT

import 'bytertc_event_define.dart';

/// Speech recognition service usage status callback
class RTCASREngineEventHandler {
  /// Successfully enabled.
  EmptyCallbackType? onSuccess;

  /// Callback for successful voice to text conversion. All the recognized text is returned through this callback.
  ///
  /// If the network connection is interrupted during the recognition process, the callback after the reconnection carries only the text message recognized after the reconnection.
  OnMessageType? onMessage;

  /// Callback for internal error.
  OnErrorMsgType? onErrorMsg;

  RTCASREngineEventHandler({
    this.onSuccess,
    this.onMessage,
    this.onErrorMsg,
  });
}
